# List persons

Returns a paginated list of Persons associated with an Account.

## Request

```curl
curl https://api.stripe.com/v2/core/accounts/{{ACCOUNT_ID}}/persons \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.dahlia"
```

### Response

```json
{
  "data": [
    {
      "id": "person_test_61RS0CgWt1xBt8M1Q16RS0Cg0WSQO5ZXUVpZxZ9tAIbY",
      "object": "v2.core.account_person",
      "account": "acct_1Nv0FGQ9RKHgCVdK",
      "additional_addresses": [],
      "additional_names": [],
      "address": {
        "city": "Brothers",
        "country": "us",
        "line1": "27 Fredrick Ave",
        "postal_code": "97712",
        "state": "OR"
      },
      "created": "2024-11-26T17:10:07.000Z",
      "date_of_birth": {
        "day": 28,
        "month": 1,
        "year": 2000
      },
      "email": "jenny.rosen@example.com",
      "given_name": "Jenny",
      "id_numbers": [
        {
          "type": "us_ssn_last_4"
        }
      ],
      "livemode": true,
      "metadata": {},
      "nationalities": [],
      "relationship": {
        "owner": true,
        "percent_ownership": "0.8",
        "representative": true,
        "title": "CEO"
      },
      "surname": "Rosen",
      "updated": "2024-11-26T17:12:55.000Z"
    }
  ]
}
```

## Parameters

- `limit` (integer, optional)
  The upper limit on the number of accounts returned by the List Account request.

- `page` (string, optional)
  The page token to navigate to next or previous batch of accounts given by the list request.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/core/persons/list.md?query=data) (array of objects)
  A list of retrieved Person objects.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | account_not_yet_compatible_with_v2 | Account is not yet compatible with V2 APIs. |
| 400 | accounts_v2_access_blocked | Accounts v2 is not enabled for your merchant. |
| 400 | non_connect_platform_accounts_v2_access_blocked | Needs to use the newer API version or onboard to Connect. |
| 400 | v1_account_instead_of_v2_account | V1 Account ID cannot be used in V2 Account APIs. |
| 400 | v1_customer_instead_of_v2_account | V1 Customer ID cannot be used in V2 Account APIs. |
| 429 | account_rate_limit_exceeded | Account cannot exceed a configured concurrency rate limit on updates. |
